org.apache.http.impl.client.cache

## Interface SchedulingStrategy

All Superinterfaces:
  AutoCloseable, Closeable

All Known Implementing Classes:
  ExponentialBackOffSchedulingStrategy, ImmediateSchedulingStrategy

    public interface SchedulingStrategy
    extends Closeable

Specifies when revalidation requests are scheduled.

Since:
  4.3

### Method Summary

Methods
`void` `schedule(AsynchronousValidationRequest revalidationRequest)` Schedule an `AsynchronousValidationRequest` to be executed.

### Methods inherited from interface java.io.Closeable

`close`

### Method Detail

#### schedule

    void schedule(AsynchronousValidationRequest revalidationRequest)

Schedule an `AsynchronousValidationRequest` to be executed.

Parameters:
  `revalidationRequest` - the request to be executed; not `null`
Throws:
  `RejectedExecutionException` - if the request could not be scheduled for execution